Subject: Analyzing and Understanding Web 2.0 Apps

From: "Dr. Dobb's Update"<[email-masked]>
Date: Wed, 09 May 2007 12:09:28 -0400 (EDT)

Editor's Note

Analyzing and Understanding Web 2.0 Apps

In the best Web 2.0 world, everything you need to build an application is already there and waiting for you. All you have to do is glue the stuff together. But in the real Web 2.0 world, that "stuff " may not fit together the way you intended, requiring that you actually have to analyze and understand your application.

More Software Development and Russia

In the June 2007 issue of Dr. Dobb's Journal, I wrote a short article entitled Up the Russian River in which I spilled my guts to just about everything I know about software development in Russia. Which explains why this was a "short" article. This article was based a recent 4-day visit to Moscow where we put on Software Development Best Practices Moscow 2007. As I said in the article, by today's journalistic standards, that qualifies me as an unqualified expert on all things Russian.

Computational Ecology: You Heard It Here First (Well, Maybe)

You heard it hear first -- "computational ecology." Okay, maybe you didn't hear it here first. Maybe the term has been around for a number of years and I'm just now running across it. Sigh. In any event, it doesn't seem to be referenced in Wikipedia, so I must be ahead of the curve, at least a little bit.

Dr. Dobb's Career Center

Senior Software Engineer
Cisco seeking Senior Software Engineer in San Jose, CA

Software Engineer
Barco Media and Entertainment seeking Software Engineer in Rancho Cordova, CA

Developer
Bayshore Solutions seeking Developer in Tampa, FL

Database Administrator
University of California Santa Cruz seeking Database Administrator in Santa Cruz, CA

Developer - Support - JavaScript / C# / VB.NET
Telerik Inc seeking Developer - Support - JavaScript / C# / VB.NET in Newton, MA

Interested in posting your positions with us? Learn More or Contact Us today!

In the News

So You Wanna Be in Pictures?
Adobe and Intel team up to bring student and professional filmmakers together at Cannes

Sun Previews RIA Plans with JavaFX
At JavaOne, Sun previewed JavaFX Script and JavaFX Mobile, two components of its new multimedia-rich, RIA platform

HP Licenses Nanoimprint Lithography
HP has announced that it is licensing its nanoimprint lithography (NIL) technique, a method of stamping out circuits with 15-nanometer features.

Immersive Theater Requires Powerful Graphics
It takes a GPU to take you through space and time

New Features

Build a Windows Installer Using WiX
Windows Installer XML (WiX) is an open-source toolset for building an .msi file based off of a definition in an XML document. Scott explores some of the advantages and disadvantages over the typical setup project found in Visual Studio

Date Picking and Calendars
Picking up a date in ASP.NET and AJAX forms is a common task. Picking up the right tool is a must for smart developers

Peer Code Reviews: Two Heads Are Better Than One
Peer code reviews uncover defects and ensure maintable code.

U of I and NVIDIA Team Up for Parallel Programming Instruction
The University of Illinois at Urbana-Champaign and graphics chip maker NVIDIA have embarked on a partnership to teach a course in massively multiprocessor computing. We talked with Dr. David Kirk, Chief Scientist at NVIDIA, and Dr. Wen-mei Hwu, the AMD Jerry Sanders Chair of Electrical and Computer Engineering at the university, who are co-teaching the course.

The Adapter Pattern
This Adapter pattern implementation allows for more flexibility than an equivalent, purely object-oriented implementation.

ADVERTISING INFORMATION
For more information on advertising in Dr. Dobb's Portal newsletters, contact our account managers:
www.ddj.com/advertise

Copyright © 2007, CMP Media LLC.
600 Harrison Street, San Francisco, CA 94107
CMP Media's Privacy Policy
http://www.cmp.com/delivery/privacy.html

**ADVERTISEMENTS**
The Agile Heartbeat: How Agile Development Puts Fast, Automatic Builds Center Stage and Requires a New Approach to Software Production
In this whitepaper we look at the impact of agile development on traditional build techniques and describe the role of effective, automated software production systems as the 'heartbeat' of the agile team.
The Wait Is Over
Advantage Database Server: A Developer's Guide has arrived to help you build high-performance, low maintenance databases. Access large amounts of data with unbelievable speed. Discover how Advantage gives you unparalleled reliability and data integrity. Leverage advanced features and much more.
TechExcel FREE Whitepaper
Improve test productivity and product quality through test management.
Download your free whitepaper today.
How Production Management Software Keeps Agile Development Pumping
In this webcast we discuss how production management software streamlines software build, package, test and deploy processes, and enables agile development from the developer workstation through quality assurance and out the door.
Dr. Dobb's Architecture & Design World 2007 Discount Offer!
July 24-27 in Chicago, IL -- Featuring over 70 educational sessions, the Dr. Dobb's Architecture & Design World curriculum offers comprehensive coverage of software architecture, modeling, design, usability and UML. Register by June 15 with the code 7DDJ71 and save up to $300!
Dr. Dobb's Portal Resources Section
Get access to FREE white papers and downloads, sign up for live NetSeminars and join in the discussion, view upcoming developer conference listings...check out the
Dr. Dobb's Portal Resources section TODAY!

Your Email Address: [[email-masked]]
is on our mailing list.
To unsubscribe, forward this message to:
[email-masked]